Summary:	A utility for converting FIG files (created by xfig) to other formats
Name:		transfig
Version:	3.2.5d
Release:	7
License:	MIT
Group:		Graphics
URL:		http://www.xfig.org
Source:		http://www.xfig.org/software/xfig/%{version}/%{name}.%{version}.tar.gz
Patch1:		transfig.3.2.5-lib64support.patch
Patch2:		transfig.3.2.5-use-tempfile-for-bitmap-eps.patch
Patch3:		transfig.3.2.5-fix-str-fmt.patch
Patch4:		transfig_optopt.patch
Patch5:		transfig.3.2.5-png1.5.patch
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	imake
BuildRequires:	tcsh

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
%setup -q -n %{name}.%{version}
%patch1 -p1 -b .lib64support
%patch2 -p1 -b .tmpepsfile
%patch3 -p0 -b .str
%patch4 -p1 -b .opt
%patch5 -p1

%build
xmkmf
make Makefiles

%make CDEBUGFLAGS="%{optflags}" SHLIBGLOBALSFLAGS="%{ldflags}" EXTRA_LDOPTIONS="%{ldflags}"

%install
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man

%files
%doc CHANGES NOTES README
%{_bindir}/*
%{_mandir}/man?/*
%{_prefix}/lib/X11/xfig/bitmaps
%{_datadir}/fig2dev/*.ps


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.2.5d-7
+ Revision: a829e89
- MassBuild#440: Increase release tag


